import { LanguageSupport, LezerLanguage } from "@codemirror/language";
type Position = {
    from: number;
    to: number;
};
type KarolError = {
    kind: "error";
    msg: string;
    pos: Position;
};
type CompilationResult = {
    kind: "success";
    result: GeneratorFunction;
} | KarolError;
declare const karolLanguage: LezerLanguage;
declare function karol(): LanguageSupport;
declare function parse(str: string): import("lezer-tree").Tree;
declare function compile(str: string): CompilationResult;
export { karolLanguage, karol, parse, compile };
